org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface RuntimeFactory

    public interface RuntimeFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RuntimePackage`
Generated:

### Field Summary

Fields
`static RuntimeFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends EObject> ETypedElementEObjectListResult<T>` `createETypedElementEObjectListResult()` Returns a new object of class 'ETyped Element EObject List Result'.
`<T extends EObject> ETypedElementEObjectResult<T>` `createETypedElementEObjectResult()` Returns a new object of class 'ETyped Element EObject Result'.
`<T> ETypedElementPrimitiveTypeListResult<T>` `createETypedElementPrimitiveTypeListResult()` Returns a new object of class 'ETyped Element Primitive Type List Result'.
`<T> ETypedElementPrimitiveTypeResult<T>` `createETypedElementPrimitiveTypeResult()` Returns a new object of class 'ETyped Element Primitive Type Result'.
`RuntimePackage` `getRuntimePackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final RuntimeFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createETypedElementPrimitiveTypeResult

    <T> ETypedElementPrimitiveTypeResult<T> createETypedElementPrimitiveTypeResult()

Returns a new object of class 'ETyped Element Primitive Type Result'.

Returns:
  a new object of class 'ETyped Element Primitive Type Result'.
Generated:

#### createETypedElementEObjectResult

    <T extends EObject> ETypedElementEObjectResult<T> createETypedElementEObjectResult()

Returns a new object of class 'ETyped Element EObject Result'.

Returns:
  a new object of class 'ETyped Element EObject Result'.
Generated:

#### createETypedElementPrimitiveTypeListResult

    <T> ETypedElementPrimitiveTypeListResult<T> createETypedElementPrimitiveTypeListResult()

Returns a new object of class 'ETyped Element Primitive Type List Result'.

Returns:
  a new object of class 'ETyped Element Primitive Type List Result'.
Generated:

#### createETypedElementEObjectListResult

    <T extends EObject> ETypedElementEObjectListResult<T> createETypedElementEObjectListResult()

Returns a new object of class 'ETyped Element EObject List Result'.

Returns:
  a new object of class 'ETyped Element EObject List Result'.
Generated:

#### getRuntimePackage

    RuntimePackage getRuntimePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: